# Audit Trail Use these APIs to retrieve meter audit trail entries, create and track export jobs, and download exported audit data for offline analysis and compliance reporting. ## Retrieve the audit trail entries for a meter - [GET /meters/{meterId}/auditTrail/entries](https://developer.zuora.com/v1-api-reference/api/audit-trail/getaudittrailentriesformeter.md): Retrieves the audit trail entries for a specific meter in Zuora Mediation. The API provides detailed, record-level information about what happened during processing, including Payload and error details, operator information, and the trace ID/event ID. ## Retrieve the list of export jobs for a meter - [GET /meters/{meterId}/auditTrail/export](https://developer.zuora.com/v1-api-reference/api/audit-trail/getaudittrailexportjobs.md): Retrieves the list of previously initiated export jobs for a specific meter in Zuora Mediation. You can filter the results by export type and session IDs using the exportType and sessionIds query parameters. Use the returned status and fileList fields on each job to determine whether a job is complete and which files to download. Then use the "Retrieve the presigned URL for an export job" operation with each fileKey in fileList to obtain the download URLs. ## Create a job to export audit trail data for a meter - [POST /meters/{meterId}/auditTrail/export](https://developer.zuora.com/v1-api-reference/api/audit-trail/createaudittrailexportjob.md): Creates a background job to export the audit trail entries for a specific meter in Zuora Mediation. This API is for large-scale, offline access to audit data. Only one export job is processed per tenant at a time, and each export has a record limit, for example, up to 5 million rows per report. Use the returned requestId with the "Retrieve the list of export jobs for a meter" API operation to track the job status and retrieve the generated file names from fileList, then download them using the "Retrieve the presigned URL for an export job" API operation. ## Retrieve the presigned URL for an export job - [GET /meters/auditTrail/presignedUrl](https://developer.zuora.com/v1-api-reference/api/audit-trail/getpresignedurlformeterexport.md): Returns a pre-signed URL that you can use to download a specific export file (usually from object storage such as S3). The fileKey corresponds to one entry from the fileList array in the List API. Use the returned URL in the data field directly in a browser or via a HTTP client to download the export file. ## List prefetch audit records - [GET /meters/{meterId}/prefetchAudit](https://developer.zuora.com/v1-api-reference/api/audit-trail/listprefetchauditrecords.md): List audit records for prefetch operations by processor ID with filtering and cursor-based pagination.